package com.goldenwater.slgc.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttWagaBase;
import com.goldenwater.slgc.mapper.AttWagaBaseMapper;
import com.goldenwater.slgc.service.WagaService;

/** 泵站信息 业务实现 */
@Service
public class WagaServiceImpl implements WagaService {
    @Autowired
    private AttWagaBaseMapper attWagaBaseMapper;

    @Override
    public List<AttWagaBase> selectAttWagaBaseList(AttWagaBase attWagaBase) {
        return attWagaBaseMapper.selectAttWagaBaseList(attWagaBase);
    }

    @Override
    public AttWagaBase selectAttWagaBaseById(String wagaCode) {
        return attWagaBaseMapper.selectAttWagaBaseById(wagaCode);
    }

    @Override
    public int deleteAttWagaBaseByIds(String[] wagaCodes) {
        return attWagaBaseMapper.deleteAttWagaBaseByIds(wagaCodes);
    }

    @Override
    public int insertAttWagaBase(AttWagaBase attWagaBase) {
        return attWagaBaseMapper.insertAttWagaBase(attWagaBase);
    }

    @Override
    public int updateAttWagaBase(AttWagaBase attWagaBase) {
        return attWagaBaseMapper.updateAttWagaBase(attWagaBase);
    }

    @Override
    public List<Map<String, Object>> countType() {
        return attWagaBaseMapper.countType();
    }
}
